Skip to main content
POST
Update a customer

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

role
enum<string>
required

Which customer role the customer is

Available options:
CORPORATE,
PRIVATE
id
string
required

The customer id of customer you want to update

propertyToUpdate
enum<string>
required

What property you want to update

Available options:
DELETE_TEMPORARY_ADDRESS

Query Parameters

auditUser
string
required

The audit user to log the request

Body

application/json

The new value of selected property. You should only provide a value for the property you want to update, the other ones should be null

Should set the value of the property you are updating, leave rest empty

dummy
string

Dummy value not used

Response

Successful update of customer

description
string

When a payment is declined, a response description is returned, if available, providing more context on why the transaction failed. This includes a return code and a brief explanation. If multiple issues cause the decline, only one response description is sent; the most recent reason for decline is returned. If the payment is successful, the resourceResponse attribute is returned with null value.

Example:

"061-Usage Limit '24H_RETAIL' Amount Exceeded"

id
string

Will contain the ID of the resource that has been created or updated